[SCM] Samba Shared Repository - branch master updated

Volker Lendecke vlendec at samba.org
Mon Sep 5 14:32:04 UTC 2016


The branch, master has been updated
       via  ec45579 selftest: detect older tshark version
      from  e697151 copyright: Add the missing notices for garbage collect tombstones

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit ec455796fe91fa97acd339be24baa75358395621
Author: Uri Simchoni <uri at samba.org>
Date:   Mon Sep 5 08:52:52 2016 +0300

    selftest: detect older tshark version
    
    Detect older versions of tshark, which do not recognize
    the -Y option, and skip the kerberos enc type tests
    
    Signed-off-by: Uri Simchoni <uri at samba.org>
    Reviewed-by: Volker Lendecke <vl at samba.org>
    
    Autobuild-User(master): Volker Lendecke <vl at samba.org>
    Autobuild-Date(master): Mon Sep  5 16:31:58 CEST 2016 on sn-devel-144

-----------------------------------------------------------------------

Summary of changes:
 testprogs/blackbox/test_client_etypes.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)


Changeset truncated at 500 lines:

diff --git a/testprogs/blackbox/test_client_etypes.sh b/testprogs/blackbox/test_client_etypes.sh
index f424b52..57739c6 100755
--- a/testprogs/blackbox/test_client_etypes.sh
+++ b/testprogs/blackbox/test_client_etypes.sh
@@ -51,6 +51,18 @@ testit "testjoin" $VALGRIND $net_tool ads testjoin -kP || failed=`expr $failed +
 export SOCKET_WRAPPER_PCAP_FILE=
 testit "leave" $VALGRIND $net_tool ads leave -U$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1`
 
+#
+# Older versions of tshark do not support -Y option,
+# They use -R which cannot be used with recent versions...
+#
+if ! tshark -r $pcap_file  -nVY "kerberos" > /dev/null 2>&1 ; then
+    subunit_start_test "client encryption types"
+    subunit_skip_test "client encryption types" <<EOF
+Skipping tests - old version of tshark detected
+EOF
+    exit 0
+fi
+
 actual_types="`tshark -r $pcap_file  -nVY "kerberos" | \
 	sed -rn -e 's/[[:space:]]*ENCTYPE:.*\(([^\)]*)\)$/\1/p' \
 	    -e 's/[[:space:]]*Encryption type:.*\(([^\)]*)\)$/\1/p' | \


-- 
Samba Shared Repository



More information about the samba-cvs mailing list